Package org.apache.commons.lang3.text.translate

## Class CodePointTranslator

- java.lang.Object
- - org.apache.commons.lang3.text.translate.CharSequenceTranslator
  - - org.apache.commons.lang3.text.translate.CodePointTranslator

Direct Known Subclasses:
  `NumericEntityEscaper`, `UnicodeEscaper`, `UnicodeUnpairedSurrogateRemover`

    @Deprecated
    public abstract class CodePointTranslator
    extends CharSequenceTranslator

Deprecated.
as of 3.6, use commons-text CharSequenceTranslator instead
Helper subclass to CharSequenceTranslator to allow for translations that will replace up to one character at a time.

Since:
  3.0

### Constructor Summary

Constructors
`CodePointTranslator()` Deprecated.

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods Deprecated Methods
`abstract boolean` `translate​(int codepoint, java.io.Writer out)` Deprecated. Translate the specified codepoint into another.
`int` `translate​(java.lang.CharSequence input, int index, java.io.Writer out)` Deprecated. Implementation of translate that maps onto the abstract translate(int, Writer) method.

### Methods inherited from class org.apache.commons.lang3.text.translate.CharSequenceTranslator

`hex, translate, translate, with`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CodePointTranslator

    public CodePointTranslator()

Deprecated.

### Method Detail

#### translate

    public final int translate​(java.lang.CharSequence input,
                               int index,
                               java.io.Writer out)
                        throws java.io.IOException

Deprecated.
Implementation of translate that maps onto the abstract translate(int, Writer) method. Translate a set of codepoints, represented by an int index into a CharSequence, into another set of codepoints. The number of codepoints consumed must be returned, and the only IOExceptions thrown must be from interacting with the Writer so that the top level API may reliably ignore StringWriter IOExceptions.

Specified by:
  `translate` in class `CharSequenceTranslator`
Parameters:
  `input` - CharSequence that is being translated
  `index` - int representing the current point of translation
  `out` - Writer to translate the text to
Returns:
  int count of codepoints consumed
Throws:
  `java.io.IOException` - if and only if the Writer produces an IOException

#### translate

    public abstract boolean translate​(int codepoint,
                                      java.io.Writer out)
                               throws java.io.IOException

Deprecated.
Translate the specified codepoint into another.

Parameters:
  `codepoint` - int character input to translate
  `out` - Writer to optionally push the translated output to
Returns:
  boolean as to whether translation occurred or not
Throws:
  `java.io.IOException` - if and only if the Writer produces an IOException